!-----------------------------------------------------------------------
!
!  PTEMPO.F90 - Tempo menu subroutines for QWPIANO
!
!  Routines in this source file:
!    Andante  = Slow
!    Moderato = Normal
!    Allegro  = Fast
!
!  All three of these routines set the global tempo variable to a value
!  appropriate to the name of the menu item selected.  Then they put a
!  check mark next to their menu item's name, and cancel any check mark
!  that may have existed for the others.
!
!-----------------------------------------------------------------------

SUBROUTINE Andante(checked)

USE DFLIB
USE PIANOMOD

LOGICAL(4)  checked, lstatus
lstatus = checked !Avoid 'unused dummy argument' warning

tempo = 3
lstatus = modifymenuflagsqq(3, 1, $MENUCHECKED)
lstatus = modifymenuflagsqq(3, 2, $MENUUNCHECKED)
lstatus = modifymenuflagsqq(3, 3, $MENUUNCHECKED)

return
end

!-----------------------------------------------------------------------

SUBROUTINE Moderato(checked)

USE DFLIB
USE PIANOMOD

LOGICAL(4)  checked, lstatus
lstatus = checked

tempo = 2
lstatus = modifymenuflagsqq(3, 1, $MENUUNCHECKED)
lstatus = modifymenuflagsqq(3, 2, $MENUCHECKED)
lstatus = modifymenuflagsqq(3, 3, $MENUUNCHECKED)

return
end

!-----------------------------------------------------------------------

SUBROUTINE Allegro(checked)

USE DFLIB
USE PIANOMOD

LOGICAL(4)  checked, lstatus
lstatus = checked
tempo = 1
lstatus = modifymenuflagsqq(3, 1, $MENUUNCHECKED)
lstatus = modifymenuflagsqq(3, 2, $MENUUNCHECKED)
lstatus = modifymenuflagsqq(3, 3, $MENUCHECKED)

return
end

!-----------------------------------------------------------------------
